[wayland] Drop wl-shell support
ClosedPublic

Authored by zzag on Aug 29 2019, 1:08 PM.

Details

Summary

wl-shell is deprecated, and pretty much no one uses it.

Diff Detail

Repository
R108 KWin
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zzag created this revision.Aug 29 2019, 1:08 PM
Restricted Application added a project: KWin. · View Herald TranscriptAug 29 2019, 1:08 PM
Restricted Application added a subscriber: kwin. · View Herald Transcript
zzag requested review of this revision.Aug 29 2019, 1:08 PM

I want to do this, but I'm not 100% sure we can. Have mutter dropped it yet? AFAIK its not marked as deprecated upstream yet

If not, I would like us to send an email to wayland-devel to get feedback first.

zzag added a comment.Sep 6 2019, 7:49 AM

I don't see a problem with dropping support for a deprecated protocol. See https://gitlab.freedesktop.org/wayland/wayland/blob/master/protocol/wayland.xml#L985

Mutter still supports wl-shell, however wlroots already dropped support for wl-shell.

That change is not released yet though.

Anyway, as stated above I supoprt this change, but I still won't accept this until we've sent a message about dropping support to wayland-devel to get feedback from other projects first.
I can help with that if needed.

zzag added a comment.Sep 13 2019, 10:43 AM

That change is not released yet though.

wl_shell is deprecated since 1.15.

davidedmundson accepted this revision.Fri, Sep 20, 2:19 PM
This revision is now accepted and ready to land.Fri, Sep 20, 2:19 PM
This revision was automatically updated to reflect the committed changes.